summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-1')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-csharp-114
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-1 b/gettext-tools/tests/xgettext-csharp-1
index 0c5b88b..bdebc1b 100755..100644
--- a/gettext-tools/tests/xgettext-csharp-1
+++ b/gettext-tools/tests/xgettext-csharp-1
@@ -3,10 +3,6 @@
# Some tests for C# support
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-cs-1.cs"
cat <<EOF > xg-cs-1.cs
using GNU.Gettext;
class TestCase {
@@ -30,14 +26,10 @@ class TestCase {
}
EOF
-tmpfiles="$tmpfiles xg-cs-1.tmp.po xg-cs-1.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location -c -d xg-cs-1.tmp xg-cs-1.cs
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-cs-1.tmp.po > xg-cs-1.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} --omit-header --no-location -c -d xg-cs-1.tmp xg-cs-1.cs || exit 1
+LC_ALL=C tr -d '\r' < xg-cs-1.tmp.po > xg-cs-1.po || exit 1
-tmpfiles="$tmpfiles xg-cs-1.ok"
cat <<EOF > xg-cs-1.ok
#. standard usage
msgid "Test String 1"
@@ -64,6 +56,4 @@ EOF
${DIFF} xg-cs-1.ok xg-cs-1.po
result=$?
-rm -fr $tmpfiles
-
exit $result